org.apache.commons.math.stat.descriptive.moment

## Enum SemiVariance.Direction

- java.lang.Object
- - java.lang.Enum<SemiVariance.Direction>
  - - org.apache.commons.math.stat.descriptive.moment.SemiVariance.Direction

All Implemented Interfaces:
  Serializable, Comparable<SemiVariance.Direction>

Enclosing class:
  SemiVariance

    public static enum SemiVariance.Direction
    extends Enum<SemiVariance.Direction>

The direction of the semivariance - either upside or downside. The direction is represented by boolean, with true corresponding to UPSIDE semivariance.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DOWNSIDE` The DOWNSIDE Direction is used to specify that the observations below the cutoff point will be used to calculate SemiVariance
`UPSIDE` The UPSIDE Direction is used to specify that the observations above the cutoff point will be used to calculate SemiVariance

### Field Summary

Fields
`private boolean` `direction` boolean value UPSIDE <-> true

### Method Summary

Methods
`(package private) boolean` `getDirection()` Returns the value of this Direction.
`static SemiVariance.Direction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SemiVariance.Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UPSIDE

    public static final SemiVariance.Direction UPSIDE

The UPSIDE Direction is used to specify that the observations above the cutoff point will be used to calculate SemiVariance

#### DOWNSIDE

    public static final SemiVariance.Direction DOWNSIDE

The DOWNSIDE Direction is used to specify that the observations below the cutoff point will be used to calculate SemiVariance

### Field Detail

#### direction

    private boolean direction

boolean value UPSIDE <-> true

### Method Detail

#### values

    public static SemiVariance.Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SemiVariance.Direction c : SemiVariance.Direction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SemiVariance.Direction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getDirection

    boolean getDirection()

Returns the value of this Direction. True corresponds to UPSIDE.

Returns:
  true if direction is UPSIDE; false otherwise